%define approot /opt/linpack/openmpi/gnu
%define _modroot /usr/share/Modules/modulefiles/linpack
%define debug_package %{nil}

Name: linpack-openmpi-gnu 
Version: 1.0a
Release: 4
Vendor: Project Kusu, http://www.osgdc.org
Summary:  High Performance Computing Linpack Benchmark (HPL)
License: Distributable 
Group: Applications/System
URL:  http://www.netlib.org/benchmark/hpl/software.html
Source0: http://www.netlib.org/benchmark/hpl/hpl.tgz
Source1: Make.Kusu_openmpi.32
Source2: Make.Kusu_openmpi.64
Source3: %{name}-module
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc openmpi-devel = 1.2.5 atlas-devel gcc-gfortran

%description
HPL is a software package that solves a (random) dense linear system in 
double precision (64 bits) arithmetic on distributed-memory computers. 
It can thus be regarded as a portable as well as freely available implementation 
of the High Performance Computing Linpack Benchmark.

%prep
%setup -q -n hpl
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
export LD_LIBRARY_PATH=/opt/openmpi/gnu/lib:$LD_LIBRARY_PATH
export TOPdir=%{_builddir}/hpl

%ifarch i386
	make arch=Kusu_openmpi.32
%else	
	make arch=Kusu_openmpi.64
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{approot}
mkdir -p $RPM_BUILD_ROOT%{approot}/bin

%ifarch %ix86
    install -m755 bin/Kusu_openmpi.32/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu_openmpi.32/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%else
    install -m755 bin/Kusu_openmpi.64/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu_openmpi.64/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%endif

install -D -m 0644 %{SOURCE3} %{buildroot}%{_modroot}/%{name}

%post

%postun 

%files
%dir %{approot}
%dir %{approot}/bin
%{approot}/bin/HPL.dat
%{approot}/bin/xhpl
/usr/share/Modules/modulefiles/linpack/linpack-openmpi-gnu

%changelog
* Wed Jun 6 2008 Mike Frisch <mfrisch@platform.com> 1.0a-4
- Use upstream openmpi/openmpi-devel package

* Tue Apr 1 2008 Mike Frisch <mfrisch@platform.com> 1.0a-3
- Fixed BuildRequires/Requires, build and files section

* Tue Sep 12 2007 Tsai Li Ming <ltsai@osgdc.org> 1.0a-1
- Initial package.
